Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1365355 - T450s fingerprint LED keeps blinking after authentication
Summary: T450s fingerprint LED keeps blinking after authentication
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: fprintd
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bastien Nocera
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-09 04:50 UTC by Lucas Costi
Modified: 2017-10-22 11:42 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 16:21:11 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
FreeDesktop.org 99811 None None None Never

Description Lucas Costi 2016-08-09 04:50:22 UTC
Description of problem:

Although I don't use the fingerprint reader, the usual behaviour of the reader  is that when I am authenticating, the reader LED will blink. However for the past few weeks, even after the authentication request has finished, the reader will keep blinking.

I have to touch the fingerprint reader to make it stop blinking. 

I stumbled upon this Ubuntu thread describing the same issue, which looks to be related to fprintd: https://bugs.launchpad.net/ubuntu/+source/fprintd/+bug/1588815


Version-Release number of selected component (if applicable):

Lenovo T450s, Fedora 23 kernel 4.6.4-201.fc23.x86_64, Cinnamon DE. 

fprintd-0.6.0-3.fc23.x86_64


How reproducible:
Always

Steps to Reproduce:
1. Open a terminal.
2. kinit. Fingerprint reader will blink.
3. Authenticate using password.
4. Fingerprint reader will keep blinking.

Actual results:

Fingerprint reader will keep blinking after authentication.

Expected results:

Fingerprint reader will blink on authentication request, but after the authentication is completed or aborted, it will stop blinking.

Comment 1 Russell Dickenson 2016-08-12 05:24:13 UTC
+1  This also affecting me, on Fedora 23 and a Lenovo T440s.

Comment 2 Oleg 2016-10-18 17:43:26 UTC
Hello,

Having same issue here.
Model: Lenovo T450s 
OS: Fedora 24
kernel: 4.7.7-200
Fingerprints:Validity VFS5011 (swipe).

Description and steps to reproduce:
1) lock screen
2) hit any key to log back in
3) authenticate with finger print swipe on 

When authentication is successful and user is logged in, the LED on the finger print continues to blink. 

Work around to stop blinking; pass finger over the scanner once more.


Logs for fprintd during the login/authentication by fingerprint (1 attempt): 


Oct 18 13:24:54 lt-oleg-t450s fprintd[31423]: ** Message: start identification device 0
Oct 18 13:25:04 lt-oleg-t450s fprintd[31423]: ** Message: no longer monitoring fd 14
Oct 18 13:33:58 lt-oleg-t450s fprintd[32106]: ** Message: user 'oleg' claiming the device: 0
Oct 18 13:33:58 lt-oleg-t450s fprintd[32106]: ** Message: now monitoring fd 14
Oct 18 13:33:59 lt-oleg-t450s fprintd[32106]: ** Message: device 0 claim status 0
Oct 18 13:33:59 lt-oleg-t450s fprintd[32106]: ** Message: adding finger 7 to the gallery
Oct 18 13:33:59 lt-oleg-t450s fprintd[32106]: ** Message: start identification device 0
Oct 18 13:34:02 lt-oleg-t450s fprintd[32106]: ** Message: identify_cb: result verify-match (1)
Oct 18 13:34:02 lt-oleg-t450s fprintd[32106]: ** Message: no longer monitoring fd 14
Oct 18 13:34:02 lt-oleg-t450s fprintd[32106]: ** Message: released device 0



Thank you,



Oleg

Comment 3 Fedora End Of Life 2016-11-25 09:29:45 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Lucas Costi 2016-11-27 23:11:16 UTC
This issue still occurs on F24.

Comment 5 Joe Doss 2016-11-30 15:50:55 UTC
This issue still happens on F25.

Comment 6 info 2016-12-26 00:30:42 UTC
Can confirm the issue on F25 with Validity VFS5011 fingerprint reader (Lenovo Thinkpad W550s).

Comment 7 Alan Conway 2017-01-17 14:17:41 UTC
I also see this on fedora 25. Lenovo T540P, lsusb reports:

Bus 003 Device 035: ID 138a:0017 Validity Sensors, Inc. Fingerprint Reader

Interesting observation: I did *not* have this problem with fedora 24 on the same hardware. I had thought it started with the upgrade to f25, although it is possible I did a BIOS upgrade before the f25 upgrade and confused the cause.

Comment 8 Łukasz Wojdyła 2017-01-28 13:47:04 UTC
Hello,

This issue still exists in F25 on T460.

Bus 001 Device 006: ID 138a:0017 Validity Sensors, Inc. Fingerprint Reader

[root@t460-fc25 ~]# uname -sr
Linux 4.9.6-200.fc25.x86_64
[root@t460-fc25 ~]# 

BIOS Information
	Vendor: LENOVO
	Version: R06ET47W (1.21 )
	Release Date: 11/30/2016
	Address: 0xE0000
	Runtime Size: 128 kB
	ROM Size: 16384 kB
	Characteristics:
		PCI is supported
		PNP is supported
		BIOS is upgradeable
		BIOS shadowing is allowed
		Boot from CD is supported
		Selectable boot is supported
		EDD is supported
		3.5"/720 kB floppy services are supported (int 13h)
		Print screen service is supported (int 5h)
		8042 keyboard services are supported (int 9h)
		Serial services are supported (int 14h)
		Printer services are supported (int 17h)
		CGA/mono video services are supported (int 10h)
		ACPI is supported
		USB legacy is supported
		BIOS boot specification is supported
		Targeted content distribution is supported
		UEFI is supported
	BIOS Revision: 1.21
	Firmware Revision: 1.9

Comment 9 Christian Kellner 2017-02-16 15:17:06 UTC
The fingerprint reader was opening the device even if no fingerprints were enrolled. This should be fixed upstream, i.e. no activation of the device when no fingerprints are enrolled.

Comment 10 Fedora End Of Life 2017-07-25 22:19:12 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 11 Fedora End Of Life 2017-08-08 16:21:11 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 12 G.J.R. Timmer 2017-10-22 11:42:36 UTC
Issue still present on Fedora 26. (Clean/Fresh install)

[admin@LT02141 ~]$ uname -sr
Linux 4.13.5-200.fc26.x86_64

Laptop: Lenovo T560

BIOS Information
        Vendor: LENOVO
        Version: N1KET32W (1.19 )
        Release Date: 07/12/2017
        Address: 0xE0000
        Runtime Size: 128 kB
        ROM Size: 16 MB
        Characteristics:
                PCI is supported
                PNP is supported
                BIOS is upgradeable
                BIOS shadowing is allowed
                Boot from CD is supported
                Selectable boot is supported
                EDD is supported
                3.5"/720 kB floppy services are supported (int 13h)
                Print screen service is supported (int 5h)
                8042 keyboard services are supported (int 9h)
                Serial services are supported (int 14h)
                Printer services are supported (int 17h)
                CGA/mono video services are supported (int 10h)
                ACPI is supported
                USB legacy is supported
                BIOS boot specification is supported
                Targeted content distribution is supported
                UEFI is supported
        BIOS Revision: 1.19
        Firmware Revision: 1.8

System Information
        Manufacturer: LENOVO
        Product Name: 20FJS1GN00
        Version: ThinkPad T560
        Serial Number: R90MWJAZ
        UUID: <REDACTED>
        Wake-up Type: Power Switch
        SKU Number: LENOVO_MT_20FJ_BU_Think_FM_ThinkPad T560
        Family: ThinkPad T560

Fingerprint Device information
[admin@LT02141 ~]$ sudo lsusb -D /dev/bus/usb/001/011 
Swipe your finger across the fingerprint reader
Device: ID 138a:0017 Validity Sensors, Inc. Fingerprint Reader
Device Descriptor:
  bLength                18
  bDescriptorType         1
  bcdUSB               1.10
  bDeviceClass          255 Vendor Specific Class
  bDeviceSubClass        17 
  bDeviceProtocol       255 
  bMaxPacketSize0         8
  idVendor           0x138a Validity Sensors, Inc.
  idProduct          0x0017 Fingerprint Reader
  bcdDevice            0.78
  iManufacturer           0 
  iProduct                0 
  iSerial                 1 fe492db8d4ad
  bNumConfigurations      1
  Configuration Descriptor:
    bLength                 9
    bDescriptorType         2
    wTotalLength           46
    bNumInterfaces          1
    bConfigurationValue     1
    iConfiguration          0 
    bmAttributes         0xa0
      (Bus Powered)
      Remote Wakeup
    MaxPower              100mA
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        0
      bAlternateSetting       0
      bNumEndpoints           4
      bInterfaceClass       255 Vendor Specific Class
      bInterfaceSubClass      0 
      bInterfaceProtocol      0 
      iInterface              0 
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x01  EP 1 OUT
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0040  1x 64 bytes
        bInterval               0
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x81  EP 1 IN
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0040  1x 64 bytes
        bInterval               0
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x82  EP 2 IN
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0040  1x 64 bytes
        bInterval               0
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x83  EP 3 IN
        bmAttributes            3
          Transfer Type            Interrupt
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0008  1x 8 bytes
        bInterval               4

Bug: Fingerprint keeps flashing after successful login, fingerprint led turns of after 2nd swipe / touch.

Additional Note:
Before setting up the fingerprint for the first time, the device also keeps flashing on admin/sudo request while no fingerprints are registered.


Note You need to log in before you can comment on or make changes to this bug.